#include <stdio.h>
#include <stdlib.h>

int main()
{
    long long int broj[4];
    scanf("%lli",&broj[0]);
    scanf("%lli",&broj[1]);
    scanf("%lli",&broj[2]);
    scanf("%lli",&broj[3]);

    if (broj[0] - broj[2] == 0 || broj[1] - broj[3] == 0){
        printf("%i",2);
    }else{
    printf("%i",1);
    }
    return 0;
}